Bug 430580 - [RHEL5] read-vs-read initialization race for /proc/net/dev
Summary: [RHEL5] read-vs-read initialization race for /proc/net/dev
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Andy Gospodarek
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On: 268001
Blocks: KernelPrio5.3
TreeView+ depends on / blocked
 
Reported: 2008-01-28 21:02 UTC by Chris Snook
Modified: 2014-06-29 22:59 UTC (History)
3 users (show)

Fixed In Version: 5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 14:06:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 1 Chris Snook 2008-01-28 21:03:55 UTC
Fix needs to go upstream too.

Comment 2 Andy Gospodarek 2008-01-30 15:55:59 UTC
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel5

Please test them and report back your results.

Comment 3 Andy Gospodarek 2008-02-05 21:04:50 UTC
A patch that includes this fix has been posted to rhkl:

http://post-office.corp.redhat.com/archives/rhkernel-list/2008-February/msg00094.html


Note You need to log in before you can comment on or make changes to this bug.